package net.roseindia.main;

import java.util.Iterator;
import java.util.List;

import net.roseindia.bean.Student;
import net.roseindia.util.HibernateUtil;

import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Restrictions;

public class CriteriaRestriction {

	@SuppressWarnings("unchecked")
	public static void main(String[] args) {

		Session session = HibernateUtil.getSessionFactory().openSession();

		Object object;

		try {
			// Creating a Criteria instance

			Criteria criteriaEaquals = session.createCriteria(Student.class);
			System.out.println("\n");

			// Criteria Equals Restriction
			criteriaEaquals.add(Restrictions.eq("rollNo", 2));
			List list = criteriaEaquals.list();
			Iterator itr = list.iterator();
			if (list.size() == 0) {
				System.out.println("No Result Found !");
			}
			while (itr.hasNext()) {
				object = (Object) itr.next();
				System.out.printf("\t");
				System.out.println(((Student) object).getRollNo() + "\t"
						+ ((Student) object).getName() + "\t"
						+ ((Student) object).getCourse() + "\t"
						+ ((Student) object).getAddress());
			}

			// Criteria Greater Than Restriction

			Criteria criteriaGreatherThan = session
					.createCriteria(Student.class);
			System.out.println("\n");
			criteriaGreatherThan.add(Restrictions.gt("rollNo", 2));
			List listGListGreaterThan = criteriaGreatherThan.list();
			Iterator itrGreaterThan = listGListGreaterThan.iterator();
			if (list.size() == 0) {
				System.out.println("No Result Found !");
			}
			while (itrGreaterThan.hasNext()) {
				object = (Object) itrGreaterThan.next();
				System.out.printf("\t");
				System.out.println(((Student) object).getRollNo() + "\t"
						+ ((Student) object).getName() + "\t"
						+ ((Student) object).getCourse() + "\t"
						+ ((Student) object).getAddress());
			}
		} catch (HibernateException e) {

			e.printStackTrace();
		} finally {
			session.close();
		}

	}
}
